%global gem_name bacon

Name: rubygem-%{gem_name}
Version: 1.2.0
Release:    2%{?dist}
Summary: A small RSpec clone
License: MIT
URL: http://github.com/chneukirchen/bacon
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Bacon is a small RSpec clone weighing less than 350 LoC but
nevertheless providing all essential features.

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x


LANG=C sed 's/\xc2//g' -i %{buildroot}%{gem_instdir}/ChangeLog


%check
pushd .%{gem_instdir}
bin/bacon -Ilib:. --automatic --quiet
popd

%files
%{_bindir}/bacon
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%dir %{gem_instdir}/bin
%{gem_instdir}/bin/bacon
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%{gem_instdir}/Rakefile
%{gem_instdir}/bacon.gemspec
%{gem_instdir}/test
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/RDOX
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/ChangeLog
%doc %{gem_docdir}

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.2.0-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-1
- initial build
